apiVersion: apps/v1 # for versions before 1.9.0 use apps/v1beta2
kind: Deployment
metadata:
  name: theia-fis
  labels:
    app: theia-fis
spec:
  selector:
    matchLabels:
      app: theia-fis
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        app: theia-fis
    spec:
      containers:
      - image: theia_sample:latest
        name: theia
        ports:
        - containerPort: 9000
          name: theia
        imagePullPolicy: IfNotPresent
---

apiVersion: v1  
kind: Service  
metadata:  
  name: theia-fis  
spec:
  selector:
    app: theia-fis
  ports:
    - port: 9000
      targetPort: 9000
      nodePort: 30010
  type: NodePort
